CREATE OR REPLACE VIEW vw_fco_pi_pens_det AS
SELECT a.compania,
       a.anio,
       a.mes,
       a.sucursal,
       a.trabajador,
       a.secuencia,
       a.pens_ape1,
       a.pens_ape2,
       a.pens_nom1,
       a.pens_nom2,
       a.pens_tdoc,
       a.pens_id,
       a.tipo_pension,
       NVL(b.descripcion, ' ') tipo_pension_des,
       a.pension_compartida,
       a.caus_ape1,
       a.caus_ape2,
       a.caus_nom1,
       a.caus_nom2,
       a.caus_tdoc,
       a.caus_id,
       a.tipo_pensionado,
       NVL(c.descripcion, ' ') tipo_pensionado_des,
       a.residente_en_exterior,
       a.departamento,
       NVL(d.nombre, ' ') departamento_des,
       a.municipio,
       NVL(e.nombre, ' ') municipio_des,
       a.situa_en_exterior,
       a.nov_ING,
       a.nov_RET,
       a.nov_TDE,
       a.nov_TAE,
       a.nov_TDP,
       a.nov_TAP,
       a.nov_VSP,
       a.nov_SUS,
       a.mesada,
       a.cod_EPS,
       LTRIM(eps.cod_super) eps_cod_super,
       veps1.descripcion eps_nombre,
       a.cod_EPS_Tras,
       LTRIM(neps.cod_super) neps_cod_super,
       veps.descripcion neps_nombre,
       a.dias_EPS,
       a.tarifa_EPS,
       a.aporte_EPS,
       a.UPC_adicional,
       a.cod_AFP,
       LTRIM(afp.cod_super) afp_cod_super,
       vafp.descripcion afp_nombre,
       a.cod_AFP_Tras,
       LTRIM(nafp.cod_super) nafp_cod_super,
       vafp1.descripcion nafp_nombre,
       a.dias_AFP,
       a.tarifa_AFP,
       a.aporte_AFP,
       a.voluntario_AFP,
       a.aporte_total_AFP,
       a.valor_no_retenido,
       a.dias_FSP,
       a.aporte_FSP_sol,
       a.aporte_FSP_sub,
       a.tarifa_FSP,
       a.cod_CCF,
       LTRIM(ccf.cod_super) ccf_cod_super,
       vccf.descripcion ccf_nombre,
       a.dias_CCF,
       a.tarifa_CCF,
       a.aporte_CCF,
       a.origen,
       a.eliminada,
       suc.descripcion suc_nombre
  FROM fco_pi_pens_rt2        a,
       criterios_valores_col  b,
       criterios_valores_col  c,
       fco_departamentos      d,
       fco_ciudades           e,
       fco_administradoras    eps,
       fco_administradoras    neps,
       vw_fco_administradoras veps,
       vw_fco_administradoras veps1,
       fco_administradoras    afp,
       vw_fco_administradoras vafp,
       fco_administradoras    nafp,
       vw_fco_administradoras vafp1,
       fco_administradoras    ccf,
       vw_fco_administradoras vccf,
       vw_fco_sucursales      suc
 WHERE aporte_EPS + aporte_AFP + aporte_CCF <> 0
   AND b.item = a.tipo_pension
   AND b.campo = 'tipo_pension'
   AND c.item = a.tipo_pensionado
   AND c.campo = 'tipo_pensionado'
   AND d.codigo = a.departamento
   AND e.cod_dpto = a.departamento
   AND e.codigo = a.municipio
   AND eps.tipo(+) = 'EPS'
   AND eps.codigo(+) = a.cod_EPS
   AND neps.tipo(+) = 'EPS'
   AND neps.codigo(+) = a.cod_EPS_Tras
   AND veps.compania(+) = a.compania
   AND veps.tipo(+) = 'EPS'
   AND veps.codigo(+) = a.cod_EPS_Tras
   AND veps1.compania(+) = a.compania
   AND veps1.tipo(+) = 'EPS'
   AND veps1.codigo(+) = a.cod_EPS
   AND afp.tipo(+) = 'AFP'
   AND afp.codigo(+) = a.cod_AFP
   AND vafp.compania(+) = a.compania
   AND vafp.tipo(+) = 'AFP'
   AND vafp.codigo(+) = a.cod_AFP
   AND nafp.tipo(+) = 'AFP'
   AND nafp.codigo(+) = a.cod_AFP_Tras
   AND vafp1.compania(+) = a.compania
   AND vafp1.tipo(+) = 'AFP'
   AND vafp1.codigo(+) = a.cod_AFP_Tras
   AND ccf.tipo(+) = 'CCF'
   AND ccf.codigo(+) = a.cod_CCF
   AND vccf.compania(+) = a.compania
   AND vccf.tipo(+) = 'CCF'
   AND vccf.codigo(+) = a.cod_CCF
   AND suc.compania(+) = a.compania
   AND suc.sucursal(+) = a.sucursal
      -- CONDICIONES DE SEGURIDAD
   AND EXISTS (SELECT 1
          FROM aut_companias x
         WHERE x.compania = a.compania
           AND x.usuario = USER)
   AND EXISTS (SELECT 1
          FROM trabajadores_grales tg, rel_usu_clase_nom cn
         WHERE tg.clase_nomina = cn.clase_nomina
           AND tg.compania = a.compania
           AND tg.trabajador = a.trabajador
           AND cn.usuario = USER)
   AND NOT EXISTS (SELECT 1
          FROM rel_trab_agr rta, rel_usu_agr_trab x
         WHERE rta.agrupacion = x.agrupacion
           AND rta.dato = x.dato
           AND rta.compania = a.compania
           AND rta.trabajador = a.trabajador
           AND x.usuario = USER)

